Summary:	FUIF image pixbuf-loader for Gtk+
Name:		fuif-pixbuf-loader
Version:	1.1
Release:	1%{?dist}
License:	LGPLv2+
URL:		https://copr.fedorainfracloud.org/coprs/vr5/gtk-pixbuf-loaders/
Source0:	fuif-pixbuf-loader-1.1.tar.gz
Source1:        fuif-master.zip
Source2:        Makefile.libfuif
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	gdk-pixbuf2 xdg-utils
BuildRequires:	gdk-pixbuf2-devel gcc-c++


%define debug_package %{nil}

%description 
FUIF image pixbuf-loader plugin for Gtk+ provides load/save mechanics for FUIF images

%prep
%setup -c -n %{name} -a 1

%build
make -f %{SOURCE2} -C fuif-master
cd fuif-pixbuf-loader
export FUIFLIB=../fuif-master FUIFINC=../fuif-master
make

%install
install -D fuif-pixbuf-loader/libpixbufloader-fuif.so %{buildroot}%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-fuif.so
install -D fuif-pixbuf-loader/vr5-fuif.xml %{buildroot}/usr/share/%{name}-%{version}/vr5-fuif.xml

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache
xdg-mime install /usr/share/%{name}-%{version}/vr5-fuif.xml

#%preun
#xdg-mime uninstall /usr/share/%{name}-%{version}/vr5-fuif.xml

%postun
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache

%files 
%defattr(0755,root,root)
%(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)/libpixbufloader-fuif.so
/usr/share/%{name}-%{version}/vr5-fuif.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Thu Mar 28 2019 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package for fuif-pixbuf-loader
